Bug 28200 - gcc/g++-2.96-74 -MD/-MMD gives bad option -MF to cpp0
gcc/g++-2.96-74 -MD/-MMD gives bad option -MF to cpp0
Status: CLOSED NOTABUG
Product: Red Hat Raw Hide
Classification: Retired
Component: gcc (Show other bugs)
1.0
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Jakub Jelinek
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-02-17 20:19 EST by j. alan eldridge
Modified: 2007-04-18 12:31 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-02-18 04:19:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description j. alan eldridge 2001-02-17 20:19:12 EST
[root@wozzle tmp]# g++ -v -MMD x.cc
Reading specs from /usr/lib/gcc-lib/i386-redhat-linux/2.96/specs
gcc version 2.96 20000731 (Red Hat Linux 7.0)
 /usr/lib/gcc-lib/i386-redhat-linux/2.96/cpp0 -lang-c++ -D__GNUG__=2 -v -MM
-MF x.d -D__GNUC__=2 -D__GNUC_MINOR__=96 -D__GNUC_PATCHLEVEL__=0 -D__ELF__
-Dunix -Dlinux -D__ELF__ -D__unix__ -D__linux__ -D__unix -D__linux
-Asystem(posix) -Acpu(i386) -Amachine(i386) -Di386 -D__i386 -D__i386__
-D__tune_i386__ x.cc /tmp/cctY34zK.ii
GNU CPP version 2.96 20000731 (Red Hat Linux 7.0) (cpplib)
 (i386 Linux/ELF)
cpp0: Invalid option -MF

According to the help from cpp0 --help, it accepts the -MD and -MMD flags.
So gcc/g++ just needs to pass it along, unchanged.

Jakub, any idea when this was introduced? Can I step back to -71 and still
get the "operator-names" stuff working correctly?
Comment 1 Jakub Jelinek 2001-02-18 04:19:09 EST
You should always update all gcc subpackages. If you update to cpp-2.96-74,
everything should work.
I've just added more strict Requires: which will show up in the next
gcc build.

Note You need to log in before you can comment on or make changes to this bug.